#include "LuaStackGuard.h"
#include "lua/lua.hpp"

LuaStackGuard::LuaStackGuard(lua_State* L)
: luaState_(L)
{
  top_ = lua_gettop(L);
}

LuaStackGuard::~LuaStackGuard()
{
  lua_settop(luaState_, top_);
}
